"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupJQuery = exports.pageExtend = void 0;
const playwright_1 = require("playwright");
const jQueryPlugin_1 = require("./jQueryPlugin");
const common_1 = require("./common");
/**
 * add JQueryAble Mixin to a Page
 * @param page
 * @returns
 */
function pageExtend(page) {
    (0, common_1.applyMixins)(page, [jQueryPlugin_1.JQueryAble]);
    return page;
}
exports.pageExtend = pageExtend;
/**
 * launch a puppeter with preloaded jQuery
 * @param options LaunchOptions & BrowserLaunchArgumentOptions & BrowserConnectOptions
 * @returns
 */
async function setupJQuery(options) {
    if (!options)
        options = { headless: true };
    //else
    //    options.headless = true;
    let browser = await playwright_1.webkit.launch(options);
    let page = await browser.newPage();
    pageExtend(page);
    await page.close();
    return browser;
}
exports.setupJQuery = setupJQuery;
